#-*- mode: makefile; tab-width: 4; -*-
#

QTDIR         = $$(QTDIR)

TEMPLATE      = lib

SO_VERSION    = 6.2.0

DEFINES      += $$(DEFINES)
INCLUDEPATH  += .. ../.. $$(INCLUDEPATH)
LANGUAGE      = C++

unix {
	UI_DIR = .ui
	MOC_DIR = .moc
	OBJECTS_DIR = .obj
}


win32 {
	prefix                  = Z:
	DESTDIR                 = Z:
	DOCDIR                  = Z:

	target.path             = "$$prefix/"
	dtd.path                = "$$prefix/"
	migration.path          = "$$prefix/migration"

	CONFIG                 += thread rtti stl warn_on release
	DEFINES                += LIBXML_STATIC LIBXSLT_STATIC 
	INCLUDEPATH            += Z:\include C:\local\include
	LIBS                   += -LZ: -LC:\local\lib
}

unix {
	prefix                  =/usr/local
	exec_prefix             =$$prefix
	DESTDIR                 =

	target.path             =$(DDIR)$$exec_prefix/lib
	dtd.path                =$(DDIR)/usr/local/share/libfwbuilder/
	migration.path          =$(DDIR)/usr/local/share/libfwbuilder/migration
	doc.path                =$(DDIR)/usr/local/share/doc/libfwbuilder-2.0.5

	CONFIG                 += warn_on debug
	INCLUDEPATH            += /usr/include /usr/include/libxml2  -pthread  
	QMAKE_CFLAGS_DEBUG     += -Wno-unused-parameter
	QMAKE_CFLAGS_RELEASE   += -Wno-unused-parameter
	QMAKE_CXXFLAGS_DEBUG   += -Wno-unused-parameter
	QMAKE_CXXFLAGS_RELEASE += -Wno-unused-parameter
	LIBS                   += -pthread -L/usr/lib -lxml2 -lz -lm  -lxslt -lssl -lcrypto -L/usr/lib -lnetsnmp -lcrypto -lelf -lm  -L/usr/lib -lnetsnmp -lcrypto -lelf -lm -lcrypto 
}

macx {
	prefix                  = "$$DESTDIR"
	DOCDIR                  = "$$prefix/doc/"

	target.path             = "$$prefix/lib"
	dtd.path                = "$$prefix/share/libfwbuilder/"
	migration.path          = "$$prefix/share/libfwbuilder/migration"

	QMAKE_LFLAGS_SONAME     = -Wl,-install_name,@executable_path/../Frameworks/
}

CONFIG     -= qt

INSTALLS   += target
